#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.18.1
visibility:           public
id:                   hledger-lib-1.18.1-CqCuXICYnXH8VZZXzD8pF8
key:                  hledger-lib-1.18.1-CqCuXICYnXH8VZZXzD8pF8
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  e516a12fe5152ab4ca0b0eca05174510
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:       Text.Megaparsec.Custom Paths_hledger_lib
import-dirs:          /usr/lib/ghc-8.10.2/site-local/hledger-lib-1.18.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/hledger-lib-1.18.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/hledger-lib-1.18.1
hs-libraries:         HShledger-lib-1.18.1-CqCuXICYnXH8VZZXzD8pF8
depends:
    Decimal-0.5.1-GDW0V75eUyQ2M6OIzG770z
    Glob-0.10.1-26rOehpsx0VIPKhhPdNcyI
    aeson-1.5.3.0-7LRiUD59ANgFRx35cjVtOH
    aeson-pretty-0.8.8-HXw2iixBquLDZeH59LIMTi
    ansi-terminal-0.10.3-644B1WvkmdJEQ2110iUwt7 array-0.5.4.0
    base-4.14.1.0 base-compat-batteries-0.11.1-Avhhj28SGhu2g1A4Of3yQr
    blaze-markup-0.8.2.7-LxYHHNtMMqd23FQvjJOkWQ bytestring-0.10.10.0
    call-stack-0.2.0-4iJeVmDQabXB3zCleLyNrq
    cassava-0.5.2.0-FxT17Af70tZ2M9gDo7ACx
    cassava-megaparsec-2.0.1-J8rihtW1gTd4fLvTKzMEU
    cmdargs-0.10.20-2pbK0xjyKWW1JFcGNWMDNe containers-0.6.2.1
    data-default-0.7.1.1-C6KSsisjImv5TAlVTfBQcY deepseq-1.4.4.0
    directory-1.3.6.0 extra-1.7.7-LBzR3CI2oO2qE6HZDBxfL
    fgl-5.7.0.3-lmITMmIIlsorzqEe0PYR
    file-embed-0.0.12.0-6papwjxSf3GIbANOmbA0A8 filepath-1.4.2.1
    hashtables-1.2.3.4-FQOamKHv1A4ExBIDd0WjzT
    megaparsec-8.0.0-BCtajrcFjZoE5UlgK1arC3 mtl-2.2.2
    old-time-1.1.0.3-4WAXseRXxLRKCRu471UUPK parsec-3.1.14.0
    parser-combinators-1.2.1-BgKMLJR8mPH8EvrPvvjrd8
    pretty-show-1.10-KoCV1zEW9bj1zBOK0T05RL
    regex-tdfa-1.3.1.0-AFxBgVqbB6pDA5wu8Xc5xC
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    split-0.2.3.4-EBC2l23lMaEIoWooJO0rmg
    tabular-0.2.2.7-4TZHJRr9HPVCNZnIIhIjKz
    tasty-1.3.1-2khztCgMw88Ajnk72JMG10
    tasty-hunit-0.10.0.2-E20rtr3eCMv6n8M4LrBKHZ
    template-haskell-2.16.0.0 text-1.2.3.2 time-1.9.3
    timeit-2.0-9cuf7StXLBAKHvaFJ7TqTD transformers-0.5.6.2
    uglymemo-0.1.0.1-8jnmvCxUgD63i0ga11QOlD
    utf8-string-1.0.1.1-G1tzxDqsWge3erFqc4Oe2R

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

